.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.7);
}

.modal-content {
    background-color: #333;
    margin: 15% auto;
    padding: 20px;
    border: 2px solid #555;
    width: 80%;
    max-width: 500px;
    border-radius: 10px;
    position: relative;
    animation: fadeIn 0.5s;
    color: white;
}

.modal-content h2 {
    margin: 0 0 10px;
    font-size: 1.5em;
    text-align: center;
}

.modal-content p {
    text-align: center;
    line-height: 1.5;
    font-size: 1em;
}

.modal-content a {
    color: white;
    text-decoration: underline;
}

.close-button {
    position: absolute;
    top: 10px;
    right: 15px;
    color: #aaa;
    font-size: 1.5em;
    font-weight: bold;
    cursor: pointer;
}

.close-button:hover,
.close-button:focus {
    color: white;
    text-decoration: none;
}

@keyframes fadeIn {
    from {opacity: 0;}
    to {opacity: 1;}
} 